'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Chart = require('../Chart');

var _Chart2 = _interopRequireDefault(_Chart);

var _main = require('./main');

var _main2 = _interopRequireDefault(_main);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('./main.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var chart = (function (_Component) {
  (0, _inherits3.default)(chart, _Component);

  function chart() {
    (0, _classCallCheck3.default)(this, chart);
    return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(chart).apply(this, arguments));
  }

  (0, _createClass3.default)(chart, [{
    key: 'render',
    value: function render() {
      var _props = this.props;
      var className = _props.className;
      var other = (0, _objectWithoutProperties3.default)(_props, ['className']);

      return _react2.default.createElement(_Chart2.default, (0, _extends3.default)({ type: _main2.default, className: (0, _classnames2.default)('bfd-column-chart', className) }, other));
    }
  }]);
  return chart;
})(_react.Component); /**
                       * Copyright 2016-present, Baifendian, Inc.
                       * All rights reserved.
                       *
                       * This source code is licensed under the BSD-style license found in the
                       * LICENSE file in the root directory of this source tree. An additional grant
                       * of patent rights can be found in the PATENTS file in the same directory.
                       */

chart.propTypes = {

  // y轴字段配置
  cols: _react.PropTypes.object.isRequired,

  // x轴字段名
  category: _react.PropTypes.string.isRequired,

  // 数据源URL，data 格式要求数组，字段分别对应 cols 和 category
  url: _react.PropTypes.string,

  // 数据源，格式与 url 方式返回的 data 格式一样
  data: _react.PropTypes.array

};

exports.default = chart;