'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _d = require('d3');

var _d2 = _interopRequireDefault(_d);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Line = (function () {
  function Line(options) {
    var _this = this;

    (0, _classCallCheck3.default)(this, Line);

    (0, _assign2.default)(this, options);

    this.generator = _d2.default.svg.line().interpolate(Line.INTERPOLATE).x(function (d) {
      return _this.xAxis.getPosition(d[_this.category]);
    });

    this.container.attr('class', 'line').datum(this.data).attr('fill', 'none').attr('stroke', this.color).attr('stroke-width', 2);

    this.render();
  }

  (0, _createClass3.default)(Line, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      this.container.transition().duration(500).attr('d', this.generator.y(function (d) {
        return _this2.yAxis.getPosition(d[_this2.key]);
      }));
    }
  }, {
    key: 'toggle',
    value: function toggle(show) {
      this.container.style('display', show ? 'block' : 'none');
    }
  }]);
  return Line;
})(); /**
       * Copyright 2016-present, Baifendian, Inc.
       * All rights reserved.
       *
       * This source code is licensed under the BSD-style license found in the
       * LICENSE file in the root directory of this source tree. An additional grant
       * of patent rights can be found in the PATENTS file in the same directory.
       */

Line.INTERPOLATE = 'cardinal';
exports.default = Line;