'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

require('./main.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _react2.default.createClass({
  displayName: 'FileList',
  handleClick: function handleClick(item) {
    this.props.onRemove(item);
  },
  render: function render() {
    var _this = this;

    return _react2.default.createElement(
      'div',
      { className: 'bfd-upload__filelist' },
      this.props.data.map(function (item, index) {
        return _react2.default.createElement(
          'div',
          { key: index, className: 'bfd-upload__filelist_row' },
          _react2.default.createElement(
            'span',
            null,
            item.name
          ),
          _react2.default.createElement(
            'span',
            null,
            item.percent,
            '%'
          ),
          _react2.default.createElement(_Icon2.default, { type: 'upload', style: { display: item.state == 0 ? '' : 'none' } }),
          _react2.default.createElement(_Icon2.default, { type: 'check-circle', style: { paddingRight: '10px', color: 'green', display: item.state == 1 ? '' : 'none' } }),
          _react2.default.createElement(_Icon2.default, { type: 'times-circle', style: { paddingRight: '10px', color: 'red', display: item.state == 2 ? '' : 'none' } }),
          _react2.default.createElement(_Icon2.default, { type: 'trash', style: { color: 'gray', cursor: 'pointer' }, onClick: _this.handleClick.bind(_this, item) })
        );
      })
    );
  }
}); /**
     * Copyright 2016-present, Baifendian, Inc.
     * All rights reserved.
     *
     * This source code is licensed under the BSD-style license found in the
     * LICENSE file in the root directory of this source tree. An additional grant
     * of patent rights can be found in the PATENTS file in the same directory.
     */