'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _classlist = require('classlist');

var _classlist2 = _interopRequireDefault(_classlist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ToggleNode = (function () {
  function ToggleNode(node, openedClassName, reflowTrigger) {
    var _this = this;

    (0, _classCallCheck3.default)(this, ToggleNode);

    this.node = node;
    this.openedClassName = openedClassName;
    this.reflowTrigger = reflowTrigger || function () {
      _this.node.offsetWidth;
    };
    this.node.style.display = 'none';
  }

  (0, _createClass3.default)(ToggleNode, [{
    key: 'open',
    value: function open() {
      this.node.style.display = 'block';
      this.reflowTrigger();
      (0, _classlist2.default)(this.node).add(this.openedClassName);
    }
  }, {
    key: 'close',
    value: function close() {
      var _this2 = this;

      (0, _classlist2.default)(this.node).remove(this.openedClassName);
      var onTransitionEnd = function onTransitionEnd() {
        _this2.node.style.display = 'none';
        _this2.node.removeEventListener(ToggleNode.END_EVENT, onTransitionEnd);
        _this2.onClose && _this2.onClose();
      };
      this.node.addEventListener(ToggleNode.END_EVENT, onTransitionEnd);
    }
  }, {
    key: 'setNode',
    value: function setNode(node) {
      this.node = node;
    }
  }]);
  return ToggleNode;
})(); /**
       * Copyright 2016-present, Baifendian, Inc.
       * All rights reserved.
       *
       * This source code is licensed under the BSD-style license found in the
       * LICENSE file in the root directory of this source tree. An additional grant
       * of patent rights can be found in the PATENTS file in the same directory.
       */

ToggleNode.END_EVENT = 'transitionend';
exports.default = ToggleNode;