'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _invariant = require('invariant');

var _invariant2 = _interopRequireDefault(_invariant);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (instance, response) {
  if (instance.props.dataFilter) {
    response = instance.props.dataFilter(response);
    (0, _invariant2.default)(!!response, '`dataFilter` should return a new data, check the `dataFilter` of `' + instance.constructor.name + '`.');
  }
  return response;
}; /**
    * Copyright 2016-present, Baifendian, Inc.
    * All rights reserved.
    *
    * This source code is licensed under the BSD-style license found in the
    * LICENSE file in the root directory of this source tree. An additional grant
    * of patent rights can be found in the PATENTS file in the same directory.
    */