'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (validator, extendFn) {
  return function () {
    var error = extendFn.apply(undefined, arguments);
    if (error) return new Error(arguments[2] + ': ' + error);
    return validator.apply(undefined, arguments);
  };
};