'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _d = require('d3');

var _d2 = _interopRequireDefault(_d);

var _Axis2 = require('./Axis');

var _Axis3 = _interopRequireDefault(_Axis2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright 2016-present, Baifendian, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 */

var XAxis = (function (_Axis) {
  (0, _inherits3.default)(XAxis, _Axis);

  function XAxis(options) {
    (0, _classCallCheck3.default)(this, XAxis);

    var _this = (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(XAxis).call(this, options));

    _this.scale = _d2.default.scale.ordinal().domain(_this.categories).rangePoints([0, _this.length]);

    _this.axis.orient('bottom').scale(_this.scale).tickSize(0, 0).tickPadding(10);

    _this.container.attr('class', 'axis-x').attr('transform', 'translate(0, ' + _this.top + ')').call(_this.axis);
    return _this;
  }

  (0, _createClass3.default)(XAxis, [{
    key: 'getPaddingScale',
    value: function getPaddingScale() {
      return 20 / (this.length / this.categories.length);
    }
  }, {
    key: 'getPositionByIndex',
    value: function getPositionByIndex(index) {
      return this.getPosition(this.categories[index]);
    }
  }]);
  return XAxis;
})(_Axis3.default);

exports.default = XAxis;