'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

var _Tree = require('./Tree');

var _Tree2 = _interopRequireDefault(_Tree);

var _Checkbox = require('../Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SelectTree = (function (_Component) {
  (0, _inherits3.default)(SelectTree, _Component);

  function SelectTree() {
    (0, _classCallCheck3.default)(this, SelectTree);
    return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(SelectTree).apply(this, arguments));
  }

  (0, _createClass3.default)(SelectTree, [{
    key: 'handleSelect',
    value: function handleSelect(item, path, checked) {
      var newData = this.refs.tree.updateDataBySingleProp('checked', checked, path);
      this.props.onSelect && this.props.onSelect(newData, (0, _get2.default)(newData, path), path, checked);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props;
      var className = _props.className;
      var onSelect = _props.onSelect;
      var other = (0, _objectWithoutProperties3.default)(_props, ['className', 'onSelect']);

      other.beforeNodeRender = function (data, path) {
        return _react2.default.createElement(_Checkbox2.default, {
          checked: data.checked || false,
          onChange: function onChange(e) {
            return _this2.handleSelect(data, path, e.target.checked);
          }
        });
      };
      return _react2.default.createElement(_Tree2.default, (0, _extends3.default)({
        ref: 'tree',
        className: (0, _classnames2.default)('bfd-select-tree', className)
      }, other));
    }
  }]);
  return SelectTree;
})(_react.Component); /**
                       * Copyright 2016-present, Baifendian, Inc.
                       * All rights reserved.
                       *
                       * This source code is licensed under the BSD-style license found in the
                       * LICENSE file in the root directory of this source tree. An additional grant
                       * of patent rights can be found in the PATENTS file in the same directory.
                       */

SelectTree.propTypes = {
  // 复选框勾选后的回调，参数为(data, item, path, checked)
  onSelect: _react.PropTypes.func
};

exports.default = SelectTree;